Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024240
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-07-01 22:132013-07-19 09:02
ReporterjecharriView Statuspublic 
Assigned Tomarvintm 
PriorityhighResolutionfixedFixed in VersionRMP25
StatusclosedFix in branchFixed in SCM revision555bfb4f5274
ProjectionnoneETAnoneTarget VersionRMP25
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRMP24SCM revision 
Review Assigned Tomigueldejuana
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024240: Document sequence does not work with return documents

DescriptionDocument sequence does not work with return documents
Steps To Reproduce-Login in web POS
-Check the documentno --> for example VBS1/0000079
-Mark the ticket as "Return this receipt"
-Add a product and pay.
-Verify that now the documentno is VBS1/0000080

-Logout and login, again the documentno is VBS1/0000079 and it should be VBS1/0000080
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0059856)
hgbot (developer)
2013-07-04 13:27

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 555bfb4f5274e19c27a62b18bbe1abe69dd00407
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Jul 04 13:26:51 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/555bfb4f5274e19c27a62b18bbe1abe69dd00407 [^]

Fixed issue 24240. Now both sales orders and returned receipts will be taken into account when computing the sequence number

---
M src/org/openbravo/retail/posterminal/POSUtils.java
M src/org/openbravo/retail/posterminal/term/Terminal.java
---
(0059870)
hgbot (developer)
2013-07-04 16:41

Repository: erp/pmods/org.openbravo.retail.posterminal.multiorder
Changeset: 555bfb4f5274e19c27a62b18bbe1abe69dd00407
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Jul 04 13:26:51 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/555bfb4f5274e19c27a62b18bbe1abe69dd00407 [^]

Fixed issue 24240. Now both sales orders and returned receipts will be taken into account when computing the sequence number

---
M src/org/openbravo/retail/posterminal/POSUtils.java
M src/org/openbravo/retail/posterminal/term/Terminal.java
---
(0060117)
migueldejuana (developer)
2013-07-19 09:02

Fixed and reviewed in 4abc82b73efa

- Issue History
Date Modified Username Field Change
2013-07-01 22:13 jecharri New Issue
2013-07-01 22:13 jecharri Assigned To => marvintm
2013-07-04 13:27 hgbot Checkin
2013-07-04 13:27 hgbot Note Added: 0059856
2013-07-04 13:27 hgbot Status new => resolved
2013-07-04 13:27 hgbot Resolution open => fixed
2013-07-04 13:27 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/555bfb4f5274e19c27a62b18bbe1abe69dd00407 [^]
2013-07-04 16:41 hgbot Checkin
2013-07-04 16:41 hgbot Note Added: 0059870
2013-07-04 16:41 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/555bfb4f5274e19c27a62b18bbe1abe69dd00407 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/555bfb4f5274e19c27a62b18bbe1abe69dd00407 [^]
2013-07-19 09:02 migueldejuana Review Assigned To => migueldejuana
2013-07-19 09:02 migueldejuana Note Added: 0060117
2013-07-19 09:02 migueldejuana Status resolved => closed
2013-07-19 09:02 migueldejuana Fixed in Version => RMP25


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker